Inhalte
Index 🔎︎

# Anweisung ChDir

Wechselt das aktuelle Verzeichnis oder/und das aktuelle Laufwerk.

Einige DOS-spezifische Datei- und Verzeichnisfunktionen werden in LibreOffice nicht mehr unterstützt oder ihre Funktion ist eingeschränkt. Beispielsweise werden die Funktionen ChDir, ChDrive und CurDir nicht unterstützt. Einige DOS-spezifische Eigenschaften werden nicht mehr in Funktionen verwendet, die Dateieigenschaften als Parameter erwarten (z. B. zur Unterscheidung von versteckten Dateien und Systemdateien). Dies gewährleistet die größtmögliche Plattformunabhängigkeit für LibreOffice. Daher kann diese Funktion in einer zukünftigen Version entfernt werden.

Die Bibliothek ScriptForge in LibreOffice 7.1 führt den Service FileSystem mit Methoden zum Behandeln von Dateien und Ordnern in Benutzerskripten ein.

### Syntax:

    ChDir Text As String

### Parameter:

Text: Beliebiger Zeichenfolgenausdruck, der den Verzeichnispfad oder/und die Laufwerksangabe angibt.

Um lediglich das aktuelle Laufwerk zu wechseln, geben Sie den Laufwerksbuchstaben gefolgt von einem Doppelpunkt ein.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

76 Pfad nicht gefunden

### Beispiel:

      Sub ExampleChDir
          Dim sDir1 As String, sDir2 As String
          sDir1 = "C:\Test"
          sDir2 = "D:\Private"
          ChDir( sDir1 )
          MsgBox CurDir
          ChDir( sDir2 )
          MsgBox CurDir
      End Sub

Verwandte Themen

Dienst ScriptForge.FileSystem

Dienst ScriptForge.TextStream